Skip to main content
POST
/
youtube
/
nls
cURL
curl -X POST "https://apiv3.creatordb.app/youtube/nls" \                                                  
  -H "Content-Type: application/json" \
  -H "api-key: <YOUR_API-KEY_HERE>" \
  -d '{                                                                                                      
    "description": "Looking for YouTube tech reviewers who focus on smartphones and gadgets, with at least 20 million subscribers, primarily targeting audiences in the USA."
  }'
{
  "data": {
    "creatorList": [
      {
        "displayName": "MaviGadget",
        "uniqueId": "@mavigadgets",
        "channelId": "UCJfNJmcv6LXCDsaa2kB_-7A",
        "avatarUrl": "https://yt3.googleusercontent.com/QW-VWhv9Eq89fh5fRKJgAGMpZa5WwgAVoL5KGvKWBVEthaEGDpPDd8ux6cQqkG1aeHbUyV-IiiU=s900-c-k-c0x00ffffff-no-rj",
        "totalSubscribers": 43500000
      },
      {
        "displayName": "Apple",
        "uniqueId": "@apple",
        "channelId": "UCE_M8A5yxnLfW0KghEeajjw",
        "avatarUrl": "https://yt3.googleusercontent.com/s5hlNKKDDQWjFGzYNnh8UeOW2j2w6id-cZGx7GdAA3d5Fu7zEi7ZMXEyslysuQUKigXNxtAB=s900-c-k-c0x00ffffff-no-rj",
        "totalSubscribers": 20600000
      }
    ],
    "quotaUsed": 1,
    "quotaUsedTotal": 1,
    "remainingQuota": -1,
    "traceId": "84523cc17c0b225d6f7ca1e210130ce7",
    "timestamp": 1768495389701,
    "errorCode": "",
    "errorDescription": "",
    "success": true
  }
}

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Body

application/json

Natural language search (NLS) parameters for finding YouTube creators that match the specified criteria.

description
string
required

A description of the type of YouTube creators to search for.

Required string length: 10 - 1000
Example:
{
"description": "Looking for YouTube tech reviewers who focus on smartphones and gadgets, with at least 500K subscribers, primarily targeting audiences in English-speaking countries."
}

Response

YouTube natural language search results returned successfully.

data
object
required
traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on March 20, 2026